#ifndef RKLP_H
#define RKLP_H

#include <stdint.h>

#include "mem.h"
#include "pft.h"

typedef struct rklp_group_struct
{
    volatile unsigned int in;
    unsigned int _buf2[15];

    volatile unsigned int out;
    unsigned int _buf3[15];

    volatile unsigned int wave;
    unsigned int _buf4[15];

    volatile unsigned int sat;
    unsigned int _buf5[15];

    volatile unsigned int head;
    unsigned int _buf6[15];

} rklp_group_t;

typedef struct rklp_cached_state_struct
{
    volatile unsigned int S;
    volatile unsigned int is_valid;

    unsigned int _buf[14];

} rklp_cached_state_t;

#endif // RKLP_H
